## ros-noetic-moveit-task-constructor-capabilities 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_task_constructor_capabilities)

find_package(catkin REQUIRED COMPONENTS
  actionlib
  moveit_core
  moveit_ros_move_group
  moveit_task_constructor_core
  moveit_task_constructor_msgs
  pluginlib
  std_msgs
)

moveit_build_options()

catkin_package(
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
    actionlib
    moveit_task_constructor_msgs
    std_msgs
)

# Check for availability of moveit::core::MoveItErrorCode::toString
set(CMAKE_REQUIRED_INCLUDES ${catkin_INCLUDE_DIRS})
set(CMAKE_REQUIRED_LIBRARIES ${catkin_LIBRARIES})
set(CMAKE_REQUIRED_FLAGS -Wno-error)
include(CheckCXXSymbolExists)
check_cxx_symbol_exists(moveit::core::MoveItErrorCode::toString "moveit/utils/moveit_error_code.h" HAVE_MOVEIT_ERROR_CODE_TO_STRING)
if(NOT HAVE_MOVEIT_ERROR_CODE_TO_STRING)
  set(HAVE_MOVEIT_ERROR_CODE_TO_STRING 0)
endif()

add_library(${PROJECT_NAME}
   src/execute_task_solution_capability.cpp
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_compile_definitions(${PROJECT_NAME} PRIVATE HAVE_MOVEIT_ERROR_CODE_TO_STRING=${HAVE_MOVEIT_ERROR_CODE_TO_STRING})
target_include_directories(${PROJECT_NAME} SYSTEM PUBLIC ${catkin_INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(FILES capabilities_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## ros-noetic-moveit-task-constructor-capabilities 0.1.1

=== debian/changelog ===
ros-noetic-moveit-task-constructor-capabilities (0.1.1-1buster) buster; urgency=high



 -- Michael v4hn Goerner <me@v4hn.de>  Tue, 14 Feb 2023 23:00:00 -0000

ros-noetic-moveit-task-constructor-capabilities (0.1.0-1buster) buster; urgency=high

  * Initial release
  * Contributors: Michael Görner, Robert Haschke

 -- Michael v4hn Goerner <me@v4hn.de>  Wed, 01 Feb 2023 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-moveit-task-constructor-capabilities
Section: misc
Priority: optional
Maintainer: Michael v4hn Goerner <me@v4hn.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib, ros-noetic-catkin, ros-noetic-moveit-core, ros-noetic-moveit-ros-move-group, ros-noetic-moveit-task-constructor-core, ros-noetic-moveit-task-constructor-msgs, ros-noetic-pluginlib, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-moveit-task-constructor-capabilities
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-moveit-core, ros-noetic-moveit-ros-move-group, ros-noetic-moveit-task-constructor-core, ros-noetic-moveit-task-constructor-msgs, ros-noetic-pluginlib, ros-noetic-std-msgs
Description: MoveGroupCapabilites to interact with MoveIt

## ros-noetic-moveit-task-constructor-capabilities 0.1.3

=== debian/changelog ===
ros-noetic-moveit-task-constructor-capabilities (0.1.3-1focal) focal; urgency=high



 -- Michael v4hn Goerner <me@v4hn.de>  Sun, 05 Mar 2023 23:00:00 -0000

ros-noetic-moveit-task-constructor-capabilities (0.1.2-1focal) focal; urgency=high



 -- Michael v4hn Goerner <me@v4hn.de>  Thu, 23 Feb 2023 23:00:00 -0000

ros-noetic-moveit-task-constructor-capabilities (0.1.1-1focal) focal; urgency=high



 -- Michael v4hn Goerner <me@v4hn.de>  Tue, 14 Feb 2023 23:00:00 -0000

ros-noetic-moveit-task-constructor-capabilities (0.1.0-1focal) focal; urgency=high

  * Initial release
  * Contributors: Michael Görner, Robert Haschke

 -- Michael v4hn Goerner <me@v4hn.de>  Wed, 01 Feb 2023 23:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-moveit-task-constructor-capabilities//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
